package com.goer.project.model.modelVersionChanges.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goer.framework.aspectj.lang.annotation.Excel;
import com.goer.framework.web.domain.BaseEntity;

/**
 * 模型对象版本修改内容对象 t_model_version_changes
 * 
 * @author goer
 * @date 2022-01-17
 */
public class ModelVersionChanges extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 模型对象ID */
    @Excel(name = "模型对象ID")
    private Long projectId;

    /** 版本号 */
    @Excel(name = "版本号")
    private Long versionId;

    /** 变更区分(entity,field) */
    @Excel(name = "变更区分(entity,field)")
    private String changeType;

    /** 变更类型(add) */
    @Excel(name = "变更类型(add)")
    private String changeOption;

    /** 表逻辑名 */
    @Excel(name = "表逻辑名")
    private String entityCode;

    /** 字段逻辑名 */
    @Excel(name = "字段逻辑名")
    private String fieldCode;

    /** 变更内容 */
    @Excel(name = "变更内容")
    private String changeContent;

    /** 基版本id */
    @Excel(name = "基版本id")
    private Long parentVersionId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId()
    {
        return projectId;
    }
    public void setVersionId(Long versionId)
    {
        this.versionId = versionId;
    }

    public Long getVersionId()
    {
        return versionId;
    }
    public void setChangeType(String changeType)
    {
        this.changeType = changeType;
    }

    public String getChangeType()
    {
        return changeType;
    }
    public void setChangeOption(String changeOption)
    {
        this.changeOption = changeOption;
    }

    public String getChangeOption()
    {
        return changeOption;
    }
    public void setEntityCode(String entityCode)
    {
        this.entityCode = entityCode;
    }

    public String getEntityCode()
    {
        return entityCode;
    }
    public void setFieldCode(String fieldCode)
    {
        this.fieldCode = fieldCode;
    }

    public String getFieldCode()
    {
        return fieldCode;
    }
    public void setChangeContent(String changeContent)
    {
        this.changeContent = changeContent;
    }

    public String getChangeContent()
    {
        return changeContent;
    }
    public void setParentVersionId(Long parentVersionId)
    {
        this.parentVersionId = parentVersionId;
    }

    public Long getParentVersionId()
    {
        return parentVersionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("versionId", getVersionId())
            .append("changeType", getChangeType())
            .append("changeOption", getChangeOption())
            .append("entityCode", getEntityCode())
            .append("fieldCode", getFieldCode())
            .append("changeContent", getChangeContent())
            .append("remark", getRemark())
            .append("parentVersionId", getParentVersionId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
